Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class StaticVerifier

    java.lang.Object
      org.codehaus.groovy.ast.CodeVisitorSupport
          org.codehaus.groovy.ast.ClassCodeVisitorSupport
              org.codehaus.groovy.control.StaticVerifier

    public class StaticVerifier
    extends ClassCodeVisitorSupport

Verifier to check non-static access in static contexts

Authors:
  Jochen Theodorou
  Paul King
  Roshan Dawrani

Method Summary
`protected SourceUnit` | `getSourceUnit()`
`void` | `visitClass(ClassNode node, SourceUnit source)`
`void` | `visitClosureExpression(ClosureExpression ce)`
`void` | `visitConstructorCallExpression(ConstructorCallExpression cce)`
`void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitMethodCallExpression(MethodCallExpression mce)`
`void` | `visitPropertyExpression(PropertyExpression pe)`
`void` | `visitVariableExpression(VariableExpression ve)`

Methods inherited from class ClassCodeVisitorSupport
addError, getSourceUnit, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop

Methods inherited from class CodeVisitorSupport
visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitListExpression, visitListOfExpressions, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getSourceUnit

    @Override
    protected SourceUnit getSourceUnit()

### visitClass

    public void visitClass(ClassNode node, SourceUnit source)

### visitClosureExpression

    @Override
    public void visitClosureExpression(ClosureExpression ce)

### visitConstructorCallExpression

    @Override
    public void visitConstructorCallExpression(ConstructorCallExpression cce)

### visitConstructorOrMethod

    @Override
    public void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitMethodCallExpression

    @Override
    public void visitMethodCallExpression(MethodCallExpression mce)

### visitPropertyExpression

    @Override
    public void visitPropertyExpression(PropertyExpression pe)

### visitVariableExpression

    @Override
    public void visitVariableExpression(VariableExpression ve)

Groovy Documentation